Subject: Re: [Mip4] I-D ACTION:draft-ietf-mip4-rfc3344bis-03.txt

From: "Charles E. Perkins" <[email-masked]>
Date: Mon, 09 Jul 2007 15:49:18 -0700

Hello Kent,

I re-read through this old thread.  Your concerns seem valid to me,
and I have incorporated some text inspired by your suggestion into
the new Internet Draft which I sent in last night.  I should have responded
to this earlier, but it sort of dropped out of sight after your follow-up
to Ahmad, and I didn't remember to do anything about it until just
this last weekend.

Here is what I have revised:

In section 3.7.1, I changed the paragraph following the bullets
to read:
>    If there is an NAI extension in the Registration Request message
>    (often, for example, when the mobile node's Home Address is zero),
>    then the foreign agent MUST follow the procedures specified in RFC
>    2794 [2].  In particular, if the foreign agent cannot manage pending
>    registration request records with such a zero Home Address for the
>    mobile node, the foreign agent MUST return a Registration Reply with
>    Code indicating NONZERO_HOMEADDR_REQD (see [2]).
In section 3.7.3.1, the second paragraph now reads as follows:
>   When a foreign agent receives a Registration Reply message, it MUST
>    search its visitor list for a pending Registration Request with the
>    same mobile node home address as indicated in the Reply.  If there
>    are multiple entries with the same home address, and if the
>    Registration Reply has the Mobile Node NAI extension [2], the foreign
>    agent MUST use the NAI to disambiguate the pending Registration
>    Requests with the same home address.  If no matching pending Request
>    is found, and if the Registration Reply does not correspond with any
>    pending Registration Request with a zero mobile node home address
>    (see Section 3.7.1), the foreign agent MUST silently discard the
>    Reply.  The foreign agent MUST also silently discard the Reply if the
>    low-order 32 bits of the Identification field in the Reply do not
>    match those in the Request.

I found a mistake in the appendix, which I will fix soon but is not
part of any normative text, sigh...

Please let me know if you agree with these changes.  Since I can now
use xml2rfc for document production (thanks, Vijay!) my turnaround
time for new revisions will be quite fast.

Regards,
Charlie P.

ext Kent Leung (kleung) wrote:
>  
> Now I remember why the section seems wrong to me.  The index to the
> pending registration request is based on home address and ID if home
> address is non-zero.  And in accordance to RFC 2794, index is based on
> NAI and ID when home address is zero.
>
> But when multiple MNs with different NAIs registers with same non-zero
> home address and ID, this logic cannot discern the mapping of reply to
> request because the home address is copied from the RRQ to the RRP.  The
> statement below will find a RRQ that may not correspond to the RRP for
> the same MN.
>
>    "When a foreign agent receives a Registration Reply message, it MUST
>    search its visitor list for a pending Registration Request with the
>    same mobile node home address as indicated in the Reply. (...)
>    The foreign agent MUST also silently
>    discard the Reply if the low-order 32 bits of the Identification
>    field in the Reply do not match those in the Request."
>
> So going back to what I said, "It would be unambiguous if FA can map the
> reply to the request based on the NAI and ID field when NAI extension
> was in the registration request."  This is different in the sense that
> the index is always based on NAI and ID if the NAI extension is in the
> RRQ.
>
> Suggested text for 3.7.3.1:
>
>    When a foreign agent receives a Registration Reply message, it MUST
>    search its visitor list for a pending Registration Request that
>    corresponds to the Reply.  If the NAI extension is present in the
>    Registration Reply, then the mobile node is identified
>    by the NAI instead of the home address.  The foreign agent
>    looks up the pending Request that matches the mobile node identifier.
>    If the Registration Reply does not correspond with any pending 
>    Registration Request, the foreign agent MUST
>    silently discard the Reply.  The foreign agent MUST also silently
>    discard the Reply if the low-order 32 bits of the Identification
>    field in the Reply do not match those in the Request.
>
>
> Suggested text for 3.7.1:
>
>    If there is an NAI extension in the Registration Request
>    message, then the foreign agent MUST follow the procedures specified
>    in RFC 2794 [2].  In particular, if the foreign agent cannot manage
>    pending registration request records with NAI
>    for the mobile node, the foreign agent MUST return a Registration
>    Reply with Code indicating NONZERO_HOMEADDR_REQD (see [2]).
>
> This assumes that 2794bis addresses NAI/nonzero HoA case.
>
> Hope I'm making sense as it's getting late..
>
> Kent
>
> -----Original Message-----
> From: Kent Leung (kleung) 
> Sent: Wednesday, March 14, 2007 12:22 AM
> To: 'Ahmad Muhanna'; [email-masked]
> Subject: RE: [Mip4] I-D ACTION:draft-ietf-mip4-rfc3344bis-03.txt
>
> Hi Ahmad.  I agree that it's OK, my oversight on "see section 3.7.1" and
> assumption that the reply must be discarded.  Thanks.
>
> Kent
>
> -----Original Message-----
> From: Ahmad Muhanna [mailto:[email-masked]]
> Sent: Tuesday, March 13, 2007 9:11 PM
> To: Kent Leung (kleung); [email-masked]
> Subject: RE: [Mip4] I-D ACTION:draft-ietf-mip4-rfc3344bis-03.txt
>
> Hi Kent,
>
> In the same section you mentioned 3.7.3.1., I think the text already
> covers what you are requesting and I do not see any ambiguity. Here is
> the excerpt:
>
> "
>    When a foreign agent receives a Registration Reply message, it MUST
>    search its visitor list for a pending Registration Request with the
>    same mobile node home address as indicated in the Reply.  If no such
>    pending Request is found, and if the Registration Reply does not
>    correspond with any pending Registration Request with a zero mobile
>    node home address (see section 3.7.1), the foreign agent MUST
>    silently discard the Reply.  The foreign agent MUST also silently
>    discard the Reply if the low-order 32 bits of the Identification
>    field in the Reply do not match those in the Request.
> "
>
> I think the key text here is "... , and if the Registration Reply does
> not correspond with any pending Registration Request with a zero mobile
> node home address (see section 3.7.1) ....."
>
> And since section 3.7.1. refers to RFC2794 which address the
> identification of a user/MN using NAI while the Home address field of
> zero. I believe the text already covers what you are looking for. No?
>
> Regards,
> Ahmad
>  
>
>   

-- 
Mip4 mailing list: [email-masked]
    Web interface: https://www1.ietf.org/mailman/listinfo/mip4
     Charter page: http://www.ietf.org/html.charters/mip4-charter.html
Supplemental site: http://www.mip4.org/